package com.njzscloud.dispose.cst.order.service;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.njzscloud.common.mp.support.PageParam;
import com.njzscloud.common.mp.support.PageResult;
import com.njzscloud.dispose.cst.order.mapper.OrderExpenseItemsMapper;
import com.njzscloud.dispose.cst.order.pojo.entity.OrderExpenseItemsEntity;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 付费项
 *
 * @author ljw
 */
@Slf4j
@Service
@RequiredArgsConstructor
public class OrderExpenseItemsService extends ServiceImpl<OrderExpenseItemsMapper, OrderExpenseItemsEntity> {

    @Transactional(rollbackFor = Exception.class)
    public void add(OrderExpenseItemsEntity orderExpenseItemsEntity) {
        this.save(orderExpenseItemsEntity);
    }

    @Transactional(rollbackFor = Exception.class)
    public void modify(OrderExpenseItemsEntity orderExpenseItemsEntity) {
        this.updateById(orderExpenseItemsEntity);
    }

    @Transactional(rollbackFor = Exception.class)
    public void del(List<Long> ids) {
        this.removeBatchByIds(ids);
    }

    public OrderExpenseItemsEntity detail(Long id) {
        return this.getById(id);
    }

    public PageResult<OrderExpenseItemsEntity> paging(PageParam pageParam, OrderExpenseItemsEntity orderExpenseItemsEntity) {
        return PageResult.of(this.page(pageParam.toPage(), Wrappers.query(orderExpenseItemsEntity)));
    }
}


